/******************************************************************************
*
* official project name:  CPoker 92Plus
* project language:       TI-GCC / English
* author:                 Greg S. <IAmHuman@softhome.net>
* file title:             CAllDef.h
* initial file date:      ** unknown **
* file purpose:           main header file for game. includes all functions,
*                          defines, values, or types used in the coding.
*
*******************************************************************************/

#ifndef __CALLDEF_H
  #define __CALLDEF_H

  #include <nostub.h> //include file for anti-kernel extremist organizations
  #include <all.h> //include file for everything else

  typedef struct {
    char *data;
  } cSTRING;
  
  //the following value may be changed to change the initial value
  #define defaultMoney 10000 //default amount of money (max:4,294,967,295; min:1)

  static unsigned char heart[]={0x00, 0x00, 0x14, 0x3e, 0x3e, 0x1c, 0x08};
  static unsigned char diamond[]={0x00, 0x00, 0x08, 0x1c, 0x3e, 0x1c, 0x08};
  static unsigned char spade[]={0x00, 0x00, 0x08, 0x1c, 0x3e, 0x3e, 0x08};
  static unsigned char club[]={0x00, 0x1c, 0x1c, 0x7f, 0x7f, 0x7f, 0x08};

  //NOTE: ALL of these values may be any number, so long as no two are the same. keyNum1 ->
  // keyNum8 MUST be sequential. keyEsc & keyEnter should stay with the standard TI number,
  // so they may be used with messageboxes.
  //*The following keys are CURRENTLY supported by waitKey().*//
  #define keyNum0 0 //key '0'
  #define keyNum1 1 //key '1'
  #define keyNum2 2 //key '2'
  #define keyNum3 3 //key '3'
  #define keyNum4 4 //key '4'
  #define keyNum5 5 //key '5'
  #define keyNum6 6 //key '6'
  #define keyNum7 7 //key '7'
  #define keyNum8 8 //key '8'
  #define keyNum9 9 //key '9'
  #define keyClear 10 //key 'Clear'
  #define keyBack 11 //key '<-'
  #define keyEsc 264 //key ESC
  #define keyEnter 13 //key 'Enter' (RETURN)

  //| Forward Declarations |//
  //* -- CDrawing.c -- *//
   /*Somewhat Low-Level Graphics Drawing*/
  void PxlVert(int); //column
  void PxlHorz(int); //row
  void DrawBox(int,int,int,int,int); //x,y,x2,y2,mode
   /*Full Screen*/
  void DrawFullScreen(unsigned long,unsigned long); //money, wager
  void dispSuite(int,int); //who, what
   /*Modify Cards*/
  void DrawCard(int,int,int,int); //num, pic, ltor, topbot
  void shadeSelNum(int); //ltor
  void ClearCard(int); //ltor
  //* -- CMisc.c -- *//
   /*Card Testing*/
  int determineSuite(int[],int[]); //num array[5], pic array[5]
  char *checkForDblCard(int[],int[]); //nums, pics
   /*Other*/
  long cmpfunc(void*,void*); //comparison function for qsort [descending]
  void Text(char*); //message
  //* -- CKeyboard.c -- *//
   /*Things that have to do with keys*/
  unsigned short waitKey(char*);
  void pause(void);
  //* -- CDialogs.c -- *//
   /*Card Testing*/
  unsigned short ShowMenu(char*,cSTRING[],int,int,char*);
  unsigned long ShowDialog(unsigned long,void*);

  #include "waitms.c" //include this first !!!
  #include "CDrawing.c"
  #include "CKeyboard.c"
  #include "CDialogs.c"
  #include "CMisc.c"
#endif